FLANG

Public Member Functions | List of all members
Fortran::common::LanguageFeatureControl Class Reference

## Public Member Functions
| LanguageFeatureControl (const LanguageFeatureControl &)=default
void | Enable (LanguageFeature f, bool yes=true)
void | EnableWarning (LanguageFeature f, bool yes=true)
void | WarnOnAllNonstandard (bool yes=true)
bool | IsEnabled (LanguageFeature f) const
bool | ShouldWarn (LanguageFeature f) const
std::vector< const char * > | GetNames (LogicalOperator) const
std::vector< const char * > | GetNames (RelationalOperator) const

The documentation for this class was generated from the following files:

- include/flang/Common/Fortran-features.h
- lib/Common/Fortran-features.cpp